uk.gov.hmrc.ct.box

# CtOptionalBigDecimal

###
Related Doc: package box

#### trait CtOptionalBigDecimal extends OptionalCtValue[BigDecimal]

Self Type
  CtOptionalBigDecimal with CtBoxIdentifier

Linear Supertypes
OptionalCtValue[BigDecimal], CtValue[Option[BigDecimal]], AnyRef, Any
Known Subclasses
A11, A11Inverse, A13, A20, A3, A45, A7, A70, A70Inverse, A80, B355, B360, B405, B410, B480, B515, B520, B527, B528, B586, B595, B600, B605, B79, B865, B870
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CtOptionalBigDecimal
2. OptionalCtValue
3. CtValue
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def value: Option[BigDecimal]

   Definition Classes
     CtValue

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def asBoxString: Option[String]

   Definition Classes
     CtValue

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def asInt: Option[Int]

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hasValue: Boolean

    Definition Classes
      OptionalCtValue

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### def isPositive: Boolean

16. #### def minus(other: CtOptionalBigDecimal): BigDecimal

17. #### def minus(other: CtBigDecimal): BigDecimal

18. #### def minus(other: BigDecimal): BigDecimal

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### def noValue: Boolean

    Definition Classes
      OptionalCtValue

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### def orZero: BigDecimal

24. #### def plus(other: CtOptionalBigDecimal): BigDecimal

25. #### def plus(other: CtBigDecimal): BigDecimal

26. #### def plus(other: BigDecimal): BigDecimal

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toString(): String

    Definition Classes
      AnyRef → Any

29. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from OptionalCtValue[BigDecimal]

### Inherited from CtValue[Option[BigDecimal]]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped